Subject: bug#14402: Imenu does not work any more on trunk

From: Angelo Graziosi <[email-masked]>
Date: Tue, 14 May 2013 23:49:33 +0200

Package: emacs

Glenn,

now I am seeing another issue and don't know if related to this fix.

In short, F90 mode seems to have lost the completion linked to "end".

More precisely,

$ emacs -Q &

C-x C-f foo.f90 RET

program foo
end<TAB>

it should complete in "end program foo" instead it stays to "end". "end" 
is only indented,

program foo
   end

I need to type "end program<TAB>", to have the right behavior...

The same occurs with other statements, if-then, do..

  Ciao,
   Angelo.

Il 14/05/2013 22.21, Angelo Graziosi ha scritto:
> Ciao Glenn,
>
> Il 14/05/2013 21.30, Glenn Morris ha scritto:
>> Angelo Graziosi wrote:
>>
>>> ;; f90-mode
>>> (add-hook 'f90-mode-hook
>>>       '(lambda()
>>>          ;; Add index of func. to menu bar
>>>          (imenu-add-to-menubar "Program-Units")
>>>          )
>>>       )
>> [...]
>>> Error in menu-bar-update-hook (imenu-update-menubar):
>>> (wrong-type-argument stringp ("Types" f90-imenu-type-matcher 1))
>>
>> Fixed.
>
> Many thanks for the quick fix... :-)
>
>> Any other modes, you will have to report the details.
>>
>
> I can't reproduce the issue any more. I have tested with .f90, .f,
> Makefile, .tex, .sh, C/C++. :)
>
>
> Ciao,
>   Angelo.
>